RP_PROTO_HASH_FUNC(3)

PROTO_FUNC
rp_PROTO_hash_func - Hash callback.

SYNOPSIS
#include <karma_rp.h>

void rp_PROTO_hash_func

(unsigned char buffer[hash_digest_size], CONST unsigned char block[hash_block_size];)

DESCRIPTION
This routine is called when a hash buffer must be scrambled with a block of data.

buffer
    The hash buffer.

block
    The block to add to the hash buffer data.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/